/*
Copyright (c) 2008-2009 Yahoo! Inc. All rights reserved.
The copyrights embodied in the content of this file are licensed by
Yahoo! Inc. under the BSD (revised) open source license

@author Dan Vlad Dascalescu <dandv@yahoo-inc.com>
*/

.editbox {
  margin: .4em;
  padding: 0;
  font-family: 'Lucida Console', 'Andale Mono', monospace;
  font-size: 0.9em;
}

/*We should define specific styles for every element of the syntax.
  the setting below will cause some annoying color to show through if we missed
  defining a style for a token. This is also the "color" of the whitespace and
  of the cursor.
*/
pre.code, .editbox {
  color: red;
}

.editbox p {
  margin: 0;
}

span.php-punctuation {
  color: blue;
}

span.php-keyword {
  color: #770088;
  font-weight: bold;
}

span.php-operator {
  color: blue;
}

/* __FILE__ etc.; http://php.net/manual/en/reserved.php */
span.php-compile-time-constant {
  color: #776088;
  font-weight: bold;
}

/* output of get_defined_constants(). Differs from http://php.net/manual/en/reserved.constants.php */
span.php-predefined-constant {
  color: darkgreen;
  font-weight: bold;
}

/* PHP reserved "language constructs"... echo() etc.; http://php.net/manual/en/reserved.php */
span.php-reserved-language-construct {
  color: blue;
  font-weight: bold;
}

/* PHP built-in functions: glob(), chr() etc.; output of get_defined_functions()["internal"] */
span.php-predefined-function {
  color: green;
}

/* PHP predefined classes: PDO, Exception etc.; output of get_declared_classes() and different from http://php.net/manual/en/reserved.classes.php */
span.php-predefined-class {
  color: green;
}

span.php-atom {
  color: #228811;
}

/* class, interface, namespace or function names, but not $variables */
span.php-t_string {
  color: black;
}

span.php-variable {
  color: blue;
  font-weight: italic;
}


span.js-localvariable {
  color: #004499;
}

span.php-comment {
  color: #AA7700;
  font-stretch: condensed;
/*  font-style: italic;  This causes line height to slightly change, getting line numbers out of sync */
}

span.php-string-single-quoted {
  color: #AA2222;
}
/* double quoted strings allow interpolation */
span.php-string-double-quoted {
  color: #AA2222;
  font-weight: bold;
}

<?php include ('warncodcol.txt') ?>

span.deprecated {
  font-size: smaller;
}
